import LarkBaseService from "./base"

class LarkAuthService extends LarkBaseService {
  getAk(app_id: string, app_secret: string) {
    return this.post<{ tenant_access_token: string; code: number }>(
      "/auth/v3/tenant_access_token/internal",
      {
        app_id,
        app_secret,
      }
    )
  }
}

export default LarkAuthService
